import 'package:flutter/material.dart';
import 'package:prosapp_web_app/utils/time_of_day_extension.dart';

class TimeOfDayUtils {
  static List<TimeOfDay> genRanges(TimeOfDay timeStart, TimeOfDay timeEnd) {
    List<TimeOfDay> ranges = [];
    TimeOfDay current = timeStart;
    while (current.isBefore(timeEnd)) {
      ranges.add(current);
      // Sumar 2 horas al objeto DateTime
      current = current.add(hour: 2);
    }
    return ranges;
  }
}
